import request from "@/utils/request";

/**
 * 支付方式
 * @returns
 */
export function tbShopPayTypeGet(params) {
  return request({
    url: "/api/tbShopPayType",
    method: "get",
    params
  });
}

/**
 * 更改/增加支付方式
 * @returns
 */
export function tbShopPayType(data, method = "post") {
  return request({
    url: "/api/tbShopPayType",
    method: method,
    data
  });
}

/**
 * 增删改查新增字典
 * @returns
 */
export function dict(data, method = "get") {
  return request({
    url: "/api/dict",
    method: method,
    data: data,
    params: data
  });
}

/**
 * 修改字典
 * @returns
 */
export function dictPut(data) {
  return request({
    url: "/api/dict",
    method: "put",
    data: data
  });
}

/**
 * 新增/编辑资源
 * @returns
 */
export function tbPlatformDictPostPut(data, method = "post") {
  return request({
    url: "/api/tbPlatformDict",
    method: method,
    data: data
  });
}

/**
 * 资源列表
 * @returns
 */
export function tbPlatformDictGet(params) {
  return request({
    url: "/api/tbPlatformDict",
    method: "get",
    params
  });
}

/**
 * 新增团购卷分类
 * @returns
 */
export function tbCouponCategoryPostPut(data, method = "post") {
  return request({
    url: "/api/tbCouponCategory",
    method: method,
    data: data
  });
}

/**
 * 查询团购卷分类
 * @returns
 */
export function tbCouponCategoryGet(params) {
  return request({
    url: "/api/tbCouponCategory",
    method: "get",
    params
  });
}

/**
 * 查询资源类别列表
 * @returns
 */
export function tbPlatformDictType(params) {
  return request({
    url: "/api/tbPlatformDictType",
    method: "get",
    params
  });
}
